curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/accounts/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/accounts/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "f5bb6498-552e-40a5-b14b-616aa04ac1c1",
"short_reference_id": "P220406-LLCVLRM",
"business_code": [
"BANKING"
],
"email": "example@company.com",
"account_name": "UQPAY PTE LTD.",
"country": "US",
"status": "PROCESSING",
"verification_status": "APPROVED",
"entity_type": "COMPANY",
"review_reason": "The account is not compliant with the company's policies.",
"contact_details": {
"email": "example@company.com",
"phone": "+6588880000"
},
"business_details": {
"legal_entity_name_english": "UQPAY PTE LTD.",
"incorporation_date": "2013-04-15",
"registration_number": "201901754K",
"business_structure": "SOLE_PROPRIETOR",
"product_description": "Design and produce high-tech wireless headphones.",
"merchant_category_code": "5733",
"estimated_worker_count": "BS001",
"monthly_estimated_revenue": {
"amount": "TM001",
"currency": "SGD"
},
"account_purpose": [
"PAYOUT"
],
"legal_entity_name": "ソフトバンクインターナショナル株式会社",
"identifier": {
"type": "VAT",
"number": "XXX-XX-XXXX"
},
"website_url": "https://yourcompany.com"
},
"registration_address": {
"city": "San Francisco",
"line1": "9 N Buona Vista Dr",
"postal_code": "94103",
"state": "CA",
"line2": "THE METROPOLIS"
},
"business_address": [
{
"city": "Singapore",
"country": "SG",
"line1": "9 N Buona Vista Dr",
"state": "SG",
"postal_code": "138666",
"line2": "THE METROPOLIS"
}
],
"representatives": [
{
"representative_id": "72970a7c-7921-431c-b95f-3438724ba16f",
"roles": "DIRECTOR",
"first_name": "Mock",
"last_name": "Toy",
"nationality": "SG",
"date_of_birth": "2024-01-28",
"identification": {
"type": "PASSPORT",
"id_number": "27738277K",
"documents": {
"front": "https://files.uqpaytech.com/api/v1/files/f715f7e6-eef8-49de-b333-d95847d9e130/20241105/WX20231213-141835@2x.png",
"back": "https://files.uqpaytech.com/api/v1/files/f715f7e6-eef8-49de-b333-d95847d9e130/20241105/WX20231213-141835@2x.png"
}
},
"residential_address": {
"city": "Singapore",
"country": "SG",
"line1": "9 N Buona Vista Dr",
"state": "SG",
"postal_code": "138666",
"line2": "THE METROPOLIS"
},
"as_applicant": false,
"share_percentage": "20.01",
"other_doucments": [
{
"type": "PROOF_OF_ADDRESS",
"front": "b3d9d2d5-4c12-4946-a09d-953e82sed2b0"
}
]
}
],
"documents": [
{
"type": "CERTIFICATE_OF_INCORPORATION",
"front": "https://files.uqpaytech.com/api/v1/files/f715f7e6-eef8-49de-b333-d95847d9e130/20241105/WX20231213-141835@2x.png",
"back": "https://files.uqpaytech.com/api/v1/files/f715f7e6-eef8-49de-b333-d95847d9e130/20241105/WX20231213-141835@2x.png"
}
],
"tos_acceptance": {
"ip": "127.0.0.1",
"date": "2024-03-22T16:08:02+08:00",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0"
}
}Retrieve Account
Retrieves the details of an account.
Authorizations
The API token for login provided by UQPAY.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"
Query Parameters
Business type code. Default to BANKING.
BANKING, ACQUIRING, ISSUING Response
OK - Successfully retrieved an account details.
- Company Account
- Individual Account
Information about the company or business.
A unique identifier of the account.
"f5bb6498-552e-40a5-b14b-616aa04ac1c1"
The short reference ID of the account.
"P220406-LLCVLRM"
The business type for the account.
BANKING, ACQUIRING, ISSUING, RAMP ["BANKING"]
The email address of the account.
100"example@company.com"
The customer name of the account.
"UQPAY PTE LTD."
Status of the account. One of the following:
- ACTIVE - The account has been activated.
- PROCESSING - The account is currently undergoing review and processing.
- INACTIVE - The account temporarily inactive
- CLOSED - The account has been closed.
"PROCESSING"
Status of the KYC/KYB. One of the following:
- REJECT - The account has been rejected during identity verification.
- APPROVED - The account has been verified and is active.
- PENDING - The account is currently undergoing identity verification.
- EXPIRED - The verification has expired.
- RETURN - The account has been returned for identity verification and needs to be re-uploaded.
Webhook note: In the accountStatus webhook notification, these two
states are delivered as REJECTED and RETURNED respectively (rather than
REJECT / RETURN). All other values are identical. See
Account Status webhook.
APPROVED, PENDING, REJECT, EXPIRED, RETURN "APPROVED"
Type of account. This field is mandatory and must be one of:
COMPANY- A entity formed to engage in commercial.INDIVIDUAL- A single person from business contexts. Currently only available for Banking.
COMPANY, INDIVIDUAL The reason provided when the account review was not approved.
"The account is not compliant with the company's policies."
Show child attributes
Show child attributes
Business information about the account.
Show child attributes
Show child attributes
The company's registration address.
Show child attributes
Show child attributes
The company's business address.
Show child attributes
Show child attributes
Information about the representatives of the company.
Show child attributes
Show child attributes
The document to use to confirm the company's identity.
Show child attributes
Show child attributes
Details on the account's acceptance of the UQPAY Services Agreement This property can only be updated for Custom accounts.
Show child attributes
Show child attributes

